org.wildfly.swarm.spi.api

## Class SocketBinding

- java.lang.Object
- - org.wildfly.swarm.spi.api.SocketBinding

-     public class SocketBinding
      extends Object

  An inbound socket-binding.

  Defines a named inbound normal or multicast socket-binding.

  Inbound socket-bindings are used to define open ports for functionality such as HTTP listeners, JGroups multicast groups, etc.

  Author:
    Bob McWhirter
  See Also:
    `SocketBindingGroup`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SocketBinding(String name)` Construct a new socket-binding.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `iface()` Retrieve the interface for this binding.
    `SocketBinding` | `iface(String iface)` Set the interface for this binding.
    `String` | `multicastAddress()` Retrieve the multicast address or expression.
    `SocketBinding` | `multicastAddress(String multicastAddress)` Set the multicast address or expression.
    `SocketBinding` | `multicastPort(int port)` Set the multicast port.
    `SocketBinding` | `multicastPort(String port)` Set the multicast port expression.
    `String` | `multicastPortExpression()` Retrieve the multicast port expression.
    `String` | `name()` Retrieve the name of the binding.
    `SocketBinding` | `port(int port)` Set the port.
    `SocketBinding` | `port(String portExpression)` Set the port expression
    `String` | `portExpression()` Retrieve the port expression.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocketBinding

          public SocketBinding(String name)

      Construct a new socket-binding.
      Parameters:
        `name` - The name of the binding.

  - ### Method Detail

    - #### name

          public String name()

      Retrieve the name of the binding.
      Returns:
        the name of the binding.

    - #### iface

          public SocketBinding iface(String iface)

      Set the interface for this binding.
      Parameters:
        `iface` - The name of the interface.
      Returns:
        This binding.

    - #### iface

          public String iface()

      Retrieve the interface for this binding.
      Returns:
        The name of the interface.

    - #### port

          public SocketBinding port(int port)

      Set the port.
      Parameters:
        `port` - The port.
      Returns:
        this binding.

    - #### port

          public SocketBinding port(String portExpression)

      Set the port expression
      Parameters:
        `portExpression` - The port expression.
      Returns:
        this binding.

    - #### portExpression

          public String portExpression()

      Retrieve the port expression.
      Returns:
        The port expression.

    - #### multicastAddress

          public SocketBinding multicastAddress(String multicastAddress)

      Set the multicast address or expression.
      Parameters:
        `multicastAddress` - The multicast address or expression.
      Returns:
        this binding.

    - #### multicastAddress

          public String multicastAddress()

      Retrieve the multicast address or expression.
      Returns:
        The multicast address or expression.

    - #### multicastPort

          public SocketBinding multicastPort(int port)

      Set the multicast port.
      Parameters:
        `port` - The multicast port.
      Returns:
        this binding.

    - #### multicastPort

          public SocketBinding multicastPort(String port)

      Set the multicast port expression.
      Parameters:
        `port` - The multicast port expression.
      Returns:
        this binding.

    - #### multicastPortExpression

          public String multicastPortExpression()

      Retrieve the multicast port expression.
      Returns:
        The multicast port expression.

Copyright © 2017 JBoss by Red Hat. All rights reserved.